- name: Cleanup
  gather_facts: yes
  hosts: molecule-toolchain
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: ../../../../import_vars.yml

    - block:
      - name: Kubectl destroy cert-manager k8s definition
        community.kubernetes.k8s:
          state: absent
          resource_definition: "{{ node_exporter_k8s }}"
        environment:
          KUBECONFIG: "{{ remote_kubeconfig_path }}"

      - name: Destroy grafana directory
        file:
          path: "{{ node_exporter_folder }}"
          state: absent
      when: node_exporter_k8s is defined
